Strange thing is that win32serviceutil.py is part of the pywin32
  distribution, so I guess I should be able to import it, right?
Make sure you have a pywin32 that matches ???. Matching includes python
version and bitness.
In addition, c:\python27\DLLs should also be on your %PATH%:
setx PATH "%PATH%;c:\python27\DLLs"
Just curious: what if I don't have python2.7 installed at all? How on earth python3.4 + pywin32 requires DLL files from python2.7 ?


BTW it did not help. Here is my path:

Path=C:\Python34\;C:\Python34\Scripts;C:\Program Files (x86)\NVIDIA Corporation\PhysX\Common;C:\Windows\system32;C:\Windows;C:\Windows\System32\Wbem;C:\Windows\System32\WindowsPowerShell\v1.0\;C:\Program Files\SlikSvn\bin;C:\texlive\2013\bin\win32;c:\Python34\DLLs;c:\Python27\DLLs

I have both Python27 and Python34 installed.

Python 3.4: "import win32service" still throws ImportError: DLL load failed.
Python 2.7: "import win32service" succeeds

Build information:

Python 3.4.1 (v3.4.1:c0e311e010fc, May 18 2014, 10:45:13) [MSC v.1600 64 bit (AMD64)] on win32

It is the official latest. pywin32 is also the latest (build 219).


--
https://mail.python.org/mailman/listinfo/python-list

Reply via email to